<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.greinet</groupId>
    <artifactId>TvTotalRipper</artifactId>
    <version>2.0-SNAPSHOT</version>
    <packaging>jar</packaging>
    <dependencies>
        <dependency>
            <groupId>org.seleniumhq.selenium</groupId>
            <artifactId>selenium-java</artifactId>
            <version>3.141.59</version>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-core</artifactId>
            <version>2.13.0</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.8.0</version>
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-api</artifactId>
            <version>2.13.0</version>
        </dependency>
        <dependency>
            <groupId>org.mp4parser</groupId>
            <artifactId>isoparser</artifactId>
            <version>1.9.41</version>
        </dependency>
    </dependencies>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
    <distributionManagement>
	   <snapshotRepository>
	      <id>maven-greinet-snapshot</id>
	      <url>https://nexus.greinet.com/repository/maven-greinet-snapshot/</url>
	   </snapshotRepository>
	</distributionManagement>
    <build>
	 	<plugins>
          <plugin>
	      		<artifactId>maven-compiler-plugin</artifactId>
	      		<version>3.5.1</version>
	  		</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<archive>
					<manifest>
						<mainClass>com.greinet.tvtotalripper.ui.RipperWindow</mainClass>
					</manifest>
					</archive>
					<descriptorRefs>
					<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
				<executions>
					<execution>
					<id>make-assembly</id> <!-- this is used for inheritance merges -->
					<phase>package</phase> <!-- bind to the packaging phase -->
					<goals>
						<goal>single</goal>
					</goals>
					</execution>
				</executions>
				</plugin>
			<plugin>
			   <groupId>org.apache.maven.plugins</groupId>
			   <artifactId>maven-deploy-plugin</artifactId>
			   <version>3.0.0-M2</version>
			   <configuration>
			      <skip>true</skip>
			   </configuration>
			</plugin>
			<plugin>
			   <groupId>org.sonatype.plugins</groupId>
			   <artifactId>nexus-staging-maven-plugin</artifactId>
			   <version>1.5.1</version>
			   <executions>
			      <execution>
			         <id>default-deploy</id>
			         <phase>deploy</phase>
			         <goals>
			            <goal>deploy</goal>
			         </goals>
			      </execution>
			   </executions>
			   <configuration>
			      <serverId>maven-greinet-snapshot</serverId>
			      <nexusUrl>https://nexus.greinet.com</nexusUrl>
			      <skipStaging>true</skipStaging>
			   </configuration>
			</plugin>
		</plugins>
	 </build>
</project>